Subject: Re: [MMUSIC] I-D Action: draft-ietf-mmusic-sdp-bundle-negotiation-00.txt

From: "Roni Even" <[email-masked]>
Date: Thu, 8 Mar 2012 15:41:03 +0200

Hi,
I have a question about the last rule in section 7.2
"A given SSRC SHOULD NOT transmit RTP packet using payload types that
originate from different "m=" lines". My reading of section 5.2 in RFC 3550
bullet 1 is that the same SSRC should not be used for any two RTP streams in
the SAME RTP session even if they are in the same m-line.

Roni Even

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of [email-masked]
> Sent: Friday, February 24, 2012 9:02 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [MMUSIC] I-D Action: draft-ietf-mmusic-sdp-bundle-negotiation-
> 00.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories. This draft is a work item of the Multiparty Multimedia
> Session Control Working Group of the IETF.
> 
> 	Title           : Multiplexing Negotiation Using Session
> Description Protocol (SDP) Port Numbers
> 	Author(s)       : Christer Holmberg
>                           Harald Tveit Alvestrand
> 	Filename        : draft-ietf-mmusic-sdp-bundle-negotiation-00.txt
> 	Pages           : 11
> 	Date            : 2012-02-23
> 
>    This specification defines a new SDP Grouping Framework SDP grouping
>    framework extension, "BUNDLE", that can be used with the Session
>    Description Protocol (SDP) Offer/Answer mechanism to negotiate the
>    usage of bundled media, which refers to the usage of a single 5-
> tuple
>    for media associated with multiple SDP media descriptions ("m="
>    lines).
> 
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-mmusic-sdp-bundle-
> negotiation-00.txt
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> This Internet-Draft can be retrieved at:
> ftp://ftp.ietf.org/internet-drafts/draft-ietf-mmusic-sdp-bundle-
> negotiation-00.txt
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic

---

From: Harald Alvestrand <[email-masked]>
Date: Fri, 09 Mar 2012 15:28:39 +0100

On 03/08/2012 02:41 PM, Roni Even wrote:
> originate from different "m=" lines".
Roni,

this text is a kind of compromise, and I think none of us are very happy 
with it.
We need to consider:

- Audio types routinely switch a single RTP stream, carried on one SSRC, 
between the audio codec and comfort noise. So we can't forbid sending 
different PT numbers on one SSRC in general.
- Sending stuff with different clock rates on the same SSRC will 
certainly mess things up. But draft-ietf-avtext-multiple-clock-rates 
doesn't lay down a flat "THOU SHALT NOT" on this, so it seemed to us 
that it's not appropriate for this draft to do so either.
- Nevertheless, we felt that there should be a recommendation not to do 
things that cause problems.

The resulting text is the result.

>  My reading of section 5.2 in RFC 3550

That text does not speak to the same issue at all, in my reading. The 
situation this paragraph talks about involves one RTP stream.